Index: /issm/trunk-jpl/externalpackages/mpich/install-3.0-macosx64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/mpich/install-3.0-macosx64.sh	(revision 15031)
+++ /issm/trunk-jpl/externalpackages/mpich/install-3.0-macosx64.sh	(revision 15031)
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src install mpich-3.0.4
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich-3.0.4.tar.gz' 'mpich-3.0.4.tar.gz'
+
+#Untar 
+tar -zxvf  mpich-3.0.4.tar.gz
+
+#Move mpich into src directory
+mv mpich-3.0.4/* src
+rm -rf mpich-3.0.4
+
+#Configure mpich
+cd src
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/mpich/install" \
+	--enable-shared \
+	CC=llvm-gcc \
+	FC=gfortran \
+	F77=gfortran 
+
+#Compile mpich (this new version supports parallel make)
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install 
